> For the complete documentation index, see [llms.txt](https://docs.warpstream.com/warpstream/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.warpstream.com/warpstream/reference/cli-reference/warpstream-demo.md).

# warpstream demo

## warpstream demo

The `warpstream demo` subcommand creates a temporary WarpStream account, provisions a local WarpStream cluster (writing to memory by default), and provisions a producer client to send data to the Agents.

The following table displays the available `warpstream demo` arguments.

| Argument     | Description                                                                              |
| ------------ | ---------------------------------------------------------------------------------------- |
| -bucketURL   | Object storage bucket URL for new writes                                                 |
| -httpPort    | Port to run HTTP server on (default 8080)                                                |
| -kafkaPort   | Port to run Kafka server on (default 9092)                                               |
| -metadataURL | URL for WarpStream service (default "<https://api.playground.us-east-1.warpstream.com>") |
| -timeout     | End demo after this duration has elapsed (default 1h0m0s)                                |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.warpstream.com/warpstream/reference/cli-reference/warpstream-demo.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
